import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter/src/widgets/placeholder.dart';
import 'package:unit2/model/profile/basic_information/citizenship.dart';
import 'package:unit2/theme-data.dart/colors.dart';
import 'package:unit2/utils/global.dart';
import 'package:unit2/utils/text_container.dart';

class CitizenShipScreen extends StatefulWidget {
  final List<Citizenship> citizenships;
  const CitizenShipScreen({super.key, required this.citizenships});

  @override
  State<CitizenShipScreen> createState() => _CitizenShipScreenState();
}

class _CitizenShipScreenState extends State<CitizenShipScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text(citizenshipScreenTitle),centerTitle: true,
        backgroundColor: primary,
      ),
      body: widget.citizenships.isEmpty?
      Container(
        width: screenWidth,
                     decoration: BoxDecoration(
                      color: Colors.grey[200],
                      borderRadius: const BorderRadius.all(Radius.circular(12))),

        child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
                      crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text("Philippines",style: Theme.of(context).textTheme.titleLarge,),
          Text("Filipino",style: Theme.of(context).textTheme.titleSmall,)
        ],


        ),
      ):Container()
      ,
    );
  }
}